<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>jQuery Basic</title>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
	<style>
	.success{
		background: green;
		padding: 10px;
	}
	.error{
		padding: 10px;
		background: red;
	}
	</style>
</head>
<body>
	<h1>jQuery Basic</h1>

<!-----   .append()   ----->
	<div class="jquery__append">
		<h2>.append()</h2>
		<p class="p__append">This is a paragraph.</p>
		<ol>
		  <li>List item 1</li>
		  <li>List item 2</li>
		  <li>List item 3</li>
		</ol>
		<button class="jquery__append-text">Append text</button>
		<button class="jquery__append-list">Append list item</button>
	</div>
	
<!-----   .prepend()   ----->
	<div class="jquery__prepend">
		<h2>.prepend()</h2>
		<p class="p__prepend">This is a paragraph.</p>
		<ol>
		  <li>List item 1</li>
		  <li>List item 2</li>
		  <li>List item 3</li>
		</ol>
		<button class="jquery__prepend-text">Prepend text</button>
		<button class="jquery__prepend-list">Prepend list item</button>
	</div>
	
<!-----   .after() .before()   ----->
	<div class="jquery__after-before">
		<h2>.after() .before()</h2>
		<p class="p__after-before">Content</p>
		<button class="jquery__after">Inser After</button>
		<button class="jquery__before">Insert Before</button>
	</div>

<!-----   .remove() .empty()  ----->
	<div class="jquery__remove">
		<h2>.remove() .empty()</h2>
		<div class="jquery__remove-div success">
			<p>Some text</p>
			<ul>
				<li>Some list item</li>
				<li>Some list item</li>
				<li>Some list item</li>
			</ul>
		</div>
		<button class="jquery__empty-button">Empty div</button>
		<button class="jquery__remove-button">Remove div</button>
	</div>

<!-----   .addClass()  ----->
	<div class="jquery__add-class">
		<h2>.addClass()</h2>
		<button class="jquery__add-class-button">Add success class</button>
	</div>

<!-----   .removeClass()  ----->
	<div class="jquery__remove-class">
		<h2>.removeClass()</h2>
		<button class="jquery__remove-class-button error">Remove class 'error'</button>
	</div>

<!-----   .toggleClass()   ----->
	<div class="jquery__toggle-class">
		<h2>.toggleClass()</h2>
		<button class="jquery__toggle-class-button">Toggle class 'success'</button>
	</div>

<!-----   .css()   ----->
	<div class="jquery__css">
		<h2>.css()</h2>
		<button class="jquery__css-button">Add CSS properties</button>
	</div>

<!-----   .attr()  ----->
	<div class="jquery__attr">
		<h2>.attr()</h2>
		<p class="p__attr"><a>Go to google.com</a></p>
		<button class="jquery__attr-button">Enable link</button>
	</div>

<!-----  .removeAttr()  ----->
	<div class="jquery__attr-remove">
		<h2>.removeAttr()</h2>
		<p class="p__removeAttr"><a href="https://google.com">Go to google.com</a></p>
		<button class="jquery__removeAttr-button">Disable link</button>
	</div>

<!-----  .slideToggle()  ----->
	<div class="jquery__slide-toggle">
		<h2>.slideToggle()</h2>
		<p class="p__slide-toggle">Some <br />text</p>
		<button class="jquery__slide-toggle-button">Slide Toggle</button>
	</div>

<!-----  .fadeToggle()  ----->
	<div class="jquery__fade-toggle">
		<h2>.fadeToggle()</h2>
		<p class="p__fade-toggle">Some <br />text</p>
		<button class="jquery__fade-toggle-button">Fade Toggle</button>
	</div>

<!-----  .toggle()  ----->
	<div class="jquery__toggle">
		<h2>.toggle()</h2>
		<p class="p__toggle">Some <br />text</p>
		<button class="jquery__toggle-button">Toggle</button>
	</div>

<!-----  .show()  ----->
	<div class="jquery__show">
		<h2>.show()</h2>
		<p style="display: none;">Some <br />text</p>
		<button class="jquery__show-button">Show text</button>
	</div>

<!-----  .hide()  ----->
	<div class="jquery__hide">
		<h2>.hide()</h2>
		<p>Some <br />text</p>
		<button class="jquery__hide-button">Hide text</button>
	</div>

<!-----  .first()  ----->
	<div class="jquery__first">
		<h2>.first()</h2>
		<p>Some text</p>
		<p>Some text</p>
		<p>Some text</p>
		<button class="jquery__first-button">Add class 'sucess' to first p</button>
	</div>

<!-----  .last()  ----->
	<div class="jquery__last">
		<h2>.last()</h2>
		<p>Some text</p>
		<p>Some text</p>
		<p>Some text</p>
		<button class="jquery__last-button">Add class 'sucess' to last p</button>
	</div>

	<script type="text/javascript">
        
        /* append */
        $('.jquery__append-text').click(function(){
            $(".p__append").append(" <b>This is a paragrap.</b>");
        })
        
        $('.jquery__append-list').click(function(){
            $(".jquery__append ol").append("<li>list item</li>");
        });
        
        /* prepend */
        $('.jquery__prepend-text').click(function(){
            $(".p__prepend").prepend(" <b>This is a paragrap.</b>");
        })
        
        $('.jquery__prepend-list').click(function(){
            $(".jquery__prepend ol").prepend("<li>list item</li>");
        });
        
        /* prepend */
        $('.jquery__after').click(function(){
            $(".p__after-before").after("<p>soy un after</p>");
        })
        
        $('.jquery__before').click(function(){
            $(".p__after-before").before("<p>Soy un before</p>");
        });
        
        /* .remove() .empty() */
        $('.jquery__empty-button').click(function(){
            $(".jquery__remove-div").empty();
        });
        
        
        $('.jquery__remove-button').click(function(){
            $(".jquery__remove-div").remove();
        });
        
        
        /* add class */
        $('.jquery__add-class-button').click(function(){
            $('.jquery__add-class h2').addClass('success')
        });
        
        /* remove class */
        $('.jquery__remove-class-button').click(function(){
            $(this).removeClass('error');
            //$('.jquery__remove-class-button').removeClass('error');
        });
            
        /* toggleClass() */
        $('.jquery__toggle-class-button').click(function(){
            $('.jquery__toggle-class h2').toggleClass('error');  
        });
            
            
        /* css() */
        $('.jquery__css-button').click(function(){
            $('.jquery__css h2').css("background-color", "yellow");  
        });
        
        /* .attr() */
        $('.jquery__attr-button').click(function(){
            $('.p__attr a').attr("href", "https://www.google.com");  
        });
        
        /* .remotveAttr() */
        $('.jquery__removeAttr-button').click(function(){
            $('.p__removeAttr a').removeAttr("href","https://google.com");  
        });
        
        /* .slideToggle()*/
        $('.jquery__slide-toggle-button').click(function(){
            $('.p__slide-toggle ').slideToggle();  
        });
        
        /* .fadeToggle()*/
        $('.jquery__fade-toggle-button').click(function(){
            $('.p__fade-toggle ').fadeToggle();  
        });
        
        /* .toggle()*/
        $('.jquery__toggle-button').click(function(){
            $('.p__toggle').toggle();  
        });
        
        /* .show()*/
        $('.jquery__show-button').click(function(){
            $('.jquery__show p').show();  
        });
        
        /* .hide()*/
        $('.jquery__hide-button').click(function(){
            $('.jquery__hide p').hide();  
        });
        
        /* .first()*/
        $('.jquery__first-button').click(function(){
            $('.jquery__first p').first().addClass('success');  
        });
        
        /* .last()*/
        $('.jquery__last-button').click(function(){
            $('.jquery__last p').last().addClass('success');  
        });
        
        
        
        
	</script>
</body>
</html>
